|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectsk.baka.tools.jpa.CriteriaList.Criteria
@Immutable public static class CriteriaList.Criteria
Holds a single criteria.
| Field Summary | |
|---|---|
Serializable |
desiredValue
the desired value. |
String |
jpaField
The JPA field to match (or a valid JPA expression) |
OperatorEnum |
operator
The operator to use. |
| Constructor Summary | |
|---|---|
CriteriaList.Criteria(String jpaField,
OperatorEnum op,
Serializable desiredValue)
Creates a new criteria object. |
|
| Method Summary | |
|---|---|
boolean |
equals(Object obj)
|
CriteriaList.Criteria |
getWithPrefix(String prefix)
Prefixes the JPA field expression with given prefix and returns a new Criteria object. |
int |
hashCode()
|
String |
toJpaQueryCondition(List<Object> parameters)
Converts this criteria to a JPA WHERE condition. |
| Methods inherited from class java.lang.Object |
|---|
clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public final Serializable desiredValue
public final OperatorEnum operator
public final String jpaField
| Constructor Detail |
|---|
public CriteriaList.Criteria(String jpaField,
OperatorEnum op,
Serializable desiredValue)
jpaField - the JPA field name or an expression.desiredValue - the desired value.op - the operator to use.| Method Detail |
|---|
public String toJpaQueryCondition(List<Object> parameters)
parameters - current list of parameters. The query parameters are added to this list by the method.
public CriteriaList.Criteria getWithPrefix(String prefix)
prefix - the prefix to use
public boolean equals(Object obj)
equals in class Objectpublic int hashCode()
hashCode in class Object
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||